Lucene++ - a full-featured, c++ search engine
API Documentation

Public Member Functions | Static Public Member Functions | Data Fields
Lucene::FieldValueHitQueueEntry Class Reference

`#include <FieldValueHitQueue.h>`

Inheritance diagram for Lucene::FieldValueHitQueueEntry:

## Public Member Functions

| FieldValueHitQueueEntry (int32_t slot, int32_t doc, double score)
virtual | ~FieldValueHitQueueEntry ()
virtual String | getClassName ()
boost::shared_ptr< FieldValueHitQueueEntry > | shared_from_this ()
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::ScoreDoc
| ScoreDoc (int32_t doc, double score)
virtual | ~ScoreDoc ()
boost::shared_ptr< ScoreDoc > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::ScoreDoc
static String | _getClassName ()

## Data Fields

int32_t | slot
Data Fields inherited from Lucene::ScoreDoc
double | score
| The score of this document for the query. More...
int32_t | doc
| A hit document's number. More...

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

## ◆ FieldValueHitQueueEntry()

Lucene::FieldValueHitQueueEntry::FieldValueHitQueueEntry | ( | int32_t | slot,
|  | int32_t | doc,
|  | double | score
| ) |  |

## ◆ ~FieldValueHitQueueEntry()

virtual Lucene::FieldValueHitQueueEntry::~FieldValueHitQueueEntry | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::FieldValueHitQueueEntry::_getClassName | ( |  | ) |

inline static

## ◆ getClassName()

virtual String Lucene::FieldValueHitQueueEntry::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::ScoreDoc.

## ◆ shared_from_this()

boost::shared_ptr< FieldValueHitQueueEntry > Lucene::FieldValueHitQueueEntry::shared_from_this | ( |  | ) |

inline

## ◆ toString()

virtual String Lucene::FieldValueHitQueueEntry::toString | ( |  | ) |

virtual

Returns a string representation of the object.

Reimplemented from Lucene::ScoreDoc.

## Field Documentation

## ◆ slot

int32_t Lucene::FieldValueHitQueueEntry::slot

The documentation for this class was generated from the following file:

- FieldValueHitQueue.h

clucene.sourceforge.net